Delete a voice AI agent and all its configurations

http
DELETE https://services.leadconnectorhq.com/voice-ai/agents/{agentId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
agentIdstringYes507f1f77bcf86cd799439011Unique agent identifier

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesLOC123456789ABCDEFAccount ID

Responses

204 - Agent deleted successfully
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/voice-ai/agents/YOUR_agentId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?